Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent
Class RepoDataType

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
          com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResource
              com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoDataType

All Implemented Interfaces:
  IdedObject

    public class RepoDataType

extends RepoResource

Version:
  $Id: RepoFont.java 2343 2006-03-10 14:54:32Z lucian $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
`creationDate, description, id, label, name, parent, version`

Constructor Summary
`RepoDataType()`

Method Summary
`protected void` | `copyFrom(Resource clientRes, ReferenceResolver referenceResolver)`
`protected void` | `copyTo(Resource clientRes, ResourceFactory resourceFactory)`
`protected java.lang.Class` | `getClientItf()`
`java.lang.Integer` | `getDecimals()`
`java.lang.Integer` | `getMaxLength()`
`java.lang.Comparable` | `getMaxValue()`
`java.lang.Comparable` | `getMinValue()`
`java.lang.String` | `getRegularExpr()`
`byte` | `getType()`
`boolean` | `isStrictMax()`
`boolean` | `isStrictMin()`
`void` | `setDecimals(java.lang.Integer decimals)`
`void` | `setMaxLength(java.lang.Integer maxLength)`
`void` | `setMaxValue(java.lang.Comparable max)`
`void` | `setMinValue(java.lang.Comparable min)`
`void` | `setRegularExpr(java.lang.String regularExpr)`
`void` | `setStrictMax(boolean isStrictMax)`
`void` | `setStrictMin(boolean isStrictMin)`
`void` | `setType(byte type)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResource
`addNewChild, copyFromClient, equals, filterChildren, getChildrenFolder, getClientReference, getReference, getReference, hashCode, initNewChildren, setChildrenFolder, toClient, toClientLookup, toString`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
`copyFrom, copyFromClient, copyTo, getCreationDate, getDescription, getId, getLabel, getName, getParent, getResourceURI, getVersion, isNew, setCreationDate, setDescription, setId, setLabel, setName, setParent, setVersion`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepoDataType

    public RepoDataType()

Method Detail

### getType

    public byte getType()

### setType

    public void setType(byte type)

### getMaxLength

    public java.lang.Integer getMaxLength()

### setMaxLength

    public void setMaxLength(java.lang.Integer maxLength)

### getDecimals

    public java.lang.Integer getDecimals()

### setDecimals

    public void setDecimals(java.lang.Integer decimals)

### getRegularExpr

    public java.lang.String getRegularExpr()

### setRegularExpr

    public void setRegularExpr(java.lang.String regularExpr)

### getMinValue

    public java.lang.Comparable getMinValue()

### setMinValue

    public void setMinValue(java.lang.Comparable min)

### getMaxValue

    public java.lang.Comparable getMaxValue()

### setMaxValue

    public void setMaxValue(java.lang.Comparable max)

### isStrictMin

    public boolean isStrictMin()

### setStrictMin

    public void setStrictMin(boolean isStrictMin)

### isStrictMax

    public boolean isStrictMax()

### setStrictMax

    public void setStrictMax(boolean isStrictMax)

### copyFrom

    protected void copyFrom(Resource clientRes,
                            ReferenceResolver referenceResolver)

  Overrides:
    `copyFrom` in class `RepoResource`

### getClientItf

    protected java.lang.Class getClientItf()

  Specified by:
    `getClientItf` in class `RepoResourceBase`

### copyTo

    protected void copyTo(Resource clientRes,
                          ResourceFactory resourceFactory)

  Overrides:
    `copyTo` in class `RepoResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.